.rd-form-link {
	font-size: 0.9375rem;
	text-decoration: underline;
	text-align: left;
}

.rd-form-link .link {
	text-decoration: inherit;
}

.rd-form-social-links {
	margin-bottom: -0.9375rem;
	margin-left: -1.25rem;
}

.rd-form-social-links:empty {
	margin-bottom: 0;
	margin-left: 0;
}

.rd-form-social-links > * {
	margin-top: 0;
	margin-bottom: 0.9375rem;
	margin-left: 1.25rem;
}

.rd-form-social-text {
	display: flex;
	justify-content: center;
	align-items: center;
	color: #112950;
}

.rd-form-social-text::before, .rd-form-social-text::after {
	min-width: 30px;
	flex-grow: 1;
	content: '';
	border-top: 1px solid #e1e7ed;
}

.rd-form-social-text::before {
	margin-right: 0.625rem;
}

.rd-form-social-text::after {
	margin-left: 0.625rem;
}

.rd-form-inline {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	margin-bottom: -0.9375rem;
	margin-left: -1.25rem;
}

.rd-form-inline:empty {
	margin-bottom: 0;
	margin-left: 0;
}

.rd-form-inline > * {
	margin-top: 0;
	margin-bottom: 0.9375rem;
	margin-left: 1.25rem;
}

.rd-form-inline .form-group {
	flex-grow: 1;
}

.rd-form-inline .btn {
	flex-shrink: 0;
	margin-top: 0;
}

.rd-form-inline-2 {
	margin-bottom: -0.9375rem;
	margin-left: 1.875rem;
}

.rd-form-inline-2:empty {
	margin-bottom: 0;
	margin-left: 0;
}

.rd-form-inline-2 > * {
	margin-top: 0;
	margin-bottom: 0.9375rem;
	margin-left: -1.875rem;
}

.rd-form-inline-2 .form-validation {
	right: auto;
	left: 1.125rem;
}

.rd-form-inline-2 .form-control {
	padding-right: 2.8125rem;
}

.rd-form-boxed {
	position: relative;
}

.rd-form-boxed .form-validation {
	right: auto;
	left: 1.125rem;
}

.rd-form-boxed .rd-form-boxed-btn {
	position: absolute;
	top: 50%;
	right: 0;
	margin: 0;
	padding-top: 0.3125rem;
	padding-bottom: 0.3125rem;
	transform: translateY(-50%);
	transition: all 0.2s ease-in-out;
	pointer-events: auto;
}

.rd-form-boxed .rd-form-boxed-btn:hover {
	color: #177ee5;
}

.rd-form-boxed-1 .form-control {
	padding-right: 2.1875rem;
}

.rd-form-boxed-1 .rd-form-boxed-btn {
	right: 0.5rem;
	font-size: 1.5rem;
	transition: all 0.2s ease-in-out;
	pointer-events: auto;
}

.rd-form-boxed-1 .rd-form-boxed-btn:hover {
	color: #177ee5;
}

.rd-form-boxed-2 .form-control {
	padding-right: 3.75rem;
}

.rd-form-boxed-2 .rd-form-boxed-btn {
	right: 0.375rem;
	width: calc( 3.125rem - 0.75rem);
	height: calc( 3.125rem - 0.75rem);
	padding: 0;
	font-size: 1.5rem;
}

* + .rd-form {
	margin-top: 0.875rem;
}

* + .rd-form-btn {
	margin-top: 0.875rem;
}

@media (min-width: 992px) {
	* + .rd-form {
		margin-top: 1.225rem;
	}
	* + .rd-form-btn {
		margin-top: 1.225rem;
	}
}

@media (min-width: 1600px) {
	* + .rd-form {
		margin-top: 1.75rem;
	}
	* + .rd-form-btn {
		margin-top: 1.75rem;
	}
}